require "james_bond/core/mission"

module JamesBond
  module Core
    class HelpMission
      include JamesBond::Core::Mission

      MISSION_NAME            = "help"
      MISSION_MAIN_COMMANDS   = ["help"]

      def build(config, params)
        config.name          = MISSION_NAME
        config.main_commands = MISSION_MAIN_COMMANDS
      end

      def run_help_command(command:, mission_pool:)
        mission_pool.mission_list.each do |mission|
          puts mission.core_mission_config.name
          puts mission.option_rules
        end
      end
    end
  end
end
